routes/web.php
<?php

use App\Http\Controllers\Admin\AgentController;
use App\Http\Controllers\Admin\CategoryController;
use App\Http\Controllers\Admin\ProdukController;
use App\Http\Controllers\Admin\PurchaseController;
use App\Http\Controllers\Admin\ReportController;
use App\Http\Controllers\Admin\ReturController;
use App\Http\Controllers\Admin\SaleStoreController;
use App\Http\Controllers\Admin\StoreController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('auth.login-kimsin');
});


Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');
Route::resource('category',CategoryController::class);
Route::resource('product', ProdukController::class);
Route::resource('store', StoreController::class);
Route::resource('sale-store', SaleStoreController::class);
Route::resource('retur', ReturController::class);
Route::resource('agent', AgentController::class);
Route::resource('purchase', PurchaseController::class);
Route::get('purchase/add/{id}', [PurchaseController::class,'add_item'])->name('purchase.add');
Route::get('purchase/bayar/detail/{id}', [PurchaseController::class,'bayarPo'])->name('purchase.detail-bayar');
Route::patch('bayar/purchase', [PurchaseController::class,'storeBayarPo'])->name('purchase.bayar-po');
Route::post('update/purchase/item-po', [PurchaseController::class,'update_add_item'])->name('purchase.item-po.update');
Route::post('insert/purchase/item-temp', [PurchaseController::class,'addPurchaseItemTemp'])->name('purchase.item-temp');
Route::get('list/purchase/item-temp', [PurchaseController::class,'getPurchaseItemTemp'])->name('getpurchase.item-temp');
Route::delete('delete/purchase/item-temp', [PurchaseController::class,'deletePurchaseItemTemp'])->name('deletepurchase.item-temp');

Route::get('produk/detail/{id}', [ProdukController::class,'detailProdukItem'])->name('produk.detail-item');
Route::get('produk/purchase/item',[PurchaseController::class,'productDetailPurchase'])->name('product.detail-purchase');
Route::get('filter/tanggal/invoice',[ReturController::class,'getReturInvoiceDate'])->name('tanggal.invoice');

Route::get('report/credit-purchase',[ReportController::class,'creditPurchase'])->name('report.credit-purchase');
Route::get('report/debt-purchase',[ReportController::class,'debtPurchase'])->name('report.debt-purchase');
Route::get('report/stock-product',[ReportController::class,'stokProduct'])->name('report.stok-product');
Route::get('report/stock-product/detail/{id}',[ReportController::class,'detailStockProduct'])->name('report.detail-stock');
Route::get('cetak/report/surat-jalan/{id}',[ReportController::class,'exportPdfSuratJalan'])->name('cetak.surat-jalan');
Route::get('cetak/report/po/{id}',[ReportController::class,'viewPdfPo'])->name('cetak.surat-po');
Route::get('cetak/report/cetak/{id}',[ReportController::class,'exportPo'])->name('cetak.pdf.po');

app/Models/Purchase.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Purchase extends Model
{
    use HasFactory;
    protected $table = 'purchasing';
    protected $fillable = [
        'kode_po',
        'product_id',
        'store_id',
        'qty',
        'tanggal_po',
        'jatuh_tempo',
        'supplier',
        'total',
        'dp',
        'sisa',
    ];

    public function invoice()
    {
        return $this->hasMany(Invoice::class, 'purchasing_id','id');
    }

    public function purchase_pay()
    {
        return $this->hasMany(PurchasePay::class, 'purchasing_id','id');
    }
}

app/Http/Controllers/Admin/PurchaseController.php
<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Invoice;
use App\Models\Produk;
use App\Models\Purchase;
use App\Models\PurchaseItem;
use App\Models\PurchaseItemTemp;
use App\Models\PurchasePay;
use App\Models\SaleStoreItem;
use App\Models\Store;
use Carbon\Carbon;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class PurchaseController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $purchase = Purchase::all();
        // dd($purchase);
        return view('admin.pages.purchase.data',compact('purchase'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $tgl = date('dmY');
        $cek = Purchase::count();
        if ($cek == 0) {
            $urut = 1001;
            $kode = 'POKM'.$tgl.'-'.$urut;
        } else {
            $kolom = Purchase::all()->last();
            $urut = (int) substr($kolom->kode_po,-4)+1; 
            $kode = 'POKM'.$tgl.'-'.$urut;
        }

        // $tgl = date('dmY');
        $cekinv = Invoice::count();
        if ($cekinv == 0) {
            $urut = 1001;
            $kode_inv = 'POD'.$tgl.'-'.$urut;
        } else {
            $kolom = Invoice::all()->last();
            $urut = (int) substr($kolom->kode_invoice,-4)+1; 
            $kode_inv = 'POD'.$tgl.'-'.$urut;
        }
        $refresh = PurchaseItemTemp::where('invoice_id',NULL)->delete();

        $store = Store::all();
        $produk = Produk::all();
        return view('admin.pages.purchase.create',compact('store','kode','kode_inv','produk'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        // dd($request->all());
        $purchase = new Purchase();
        $purchase->kode_po      = $request->kode_po;
        $purchase->qty          = $request->qty_po;
        $purchase->tanggal_po   = $request->tanggal_po;
        $purchase->jatuh_tempo  = $request->jatuh_tempo;
        $purchase->supplier     = $request->supplier;
        $purchase->total        = $request->total_po;
        $purchase->dp           = $request->dp_po;
        $purchase->sisa         = $request->sisa;
        $purchase->save();
        
        $index_produk = 0;
        if ($request->kode_invoice > 0) {
            for ($inv=0 ; $inv < count($request->kode_invoice) ; $inv++ ) { 
                $tgl = date('dmY');
                $cekinv = Invoice::count();
                if ($cekinv == 0) {
                    $urut = 1001;
                    $kode_inv = 'POD'.$tgl.'-'.$urut;
                } else {
                    $kolom = Invoice::all()->last();
                    $urut = (int) substr($kolom->kode_invoice,-4)+1; 
                    $kode_inv = 'POD'.$tgl.'-'.$urut;
                }
                $invoice = new Invoice();
                $invoice->kode_invoice      = $kode_inv;
                $invoice->purchasing_id     = $purchase->id;
                $invoice->store_id          = $request->get('store_id')[$inv];
                $invoice->tanggal_invoice   = $request->tanggal_invoice;
                $invoice->total_qty_inv     = $request->qty_po;
                // dd($invoice);
                $result = $invoice->save();

                for ($k=0; $k < $request->get('total_produk')[$inv] ; $k++) { 
                    $item_po = new PurchaseItem();
                    $item_po->invoice_id = $invoice->id;
                    $item_po->kode_inv = $kode_inv;
                    $item_po->product_id = $request->get('product_id')[$index_produk];
                    $item_po->kode_product = $request->get('kode_product')[$index_produk];
                    $item_po->qty = $request->get('qty_item')[$index_produk];
                    $item_po->harga_pabrik = $request->get('harga_pabrik')[$index_produk];
                    $item_po->harga_distributor = $request->get('harga_distributor')[$index_produk];
                    $item_po->total = $request->get('totalitem')[$index_produk];

                    $item_po->save();
                    $index_produk++;
                    $produk = Produk::find($request->get('product_id')[$k]);
                    $produk->qty = $produk->qty + $request->get('qty_item')[$k];
                    $produk->save();
                }
            }
        }

        $count = Invoice::where('purchasing_id',$purchase->id)->count();
        // $count = $result->count();
        // $st = [];
        $tbl_inv = Invoice::where('purchasing_id',$purchase->id)->get();
        // $st = $tbl_inv;

        $qty_item   = $request->qty_item;
        $qty              = end($qty_item);

        $itemPo = [];
        $data = [];
        // foreach ($tbl_inv as $key => $row) {
        //     for ($i=0; $i < count($request->product_id); $i++) { 
        //             # code...
        //             $itemPo [] =[
        //                 'invoice_id' => $row->id,
        //                 // 'invoice_id' => $ideal,
        //                 // 'invoice_id' => json_encode($arrayIdInv) ,
        //                 'product_id' => $request->get('product_id')[$i],
        //                 'kode_product' => $request->get('kode_product')[$i],
        //                 'qty' => $request->get('qty_item')[$i],
        //                 'harga_pabrik' => $request->get('harga_pabrik')[$i],
        //                 'harga_distributor' => $request->get('harga_distributor')[$i],
        //                 'total' => $request->get('totalitem')[$i],
        //                 'created_at' => Carbon::now(),
        //                 'updated_at' => Carbon::now(),
        //             ];
        //             $produk = Produk::find($request->get('product_id')[$i]);
        //             $produk->qty = $produk->qty + $request->get('qty_item')[$i];
        //             $produk->save();
        //         }
        //         // $list = array_push($itemPo,$data);
        //     }
        // // }
        // // dd($itemPo);
        // PurchaseItem::insert($itemPo);

            

        $update_temp = DB::table('purchase_item_temp')
              ->where('status', 'temp')
              ->update([
                'invoice_id' => $purchase->id,
                'status'     => 'inv'
            ]);
        // $update = PurchaseItemTemp::where('status','=','temp')->get();
        // foreach ($update as $i) {
        //     $update->invoice_id = $invoice->id;
        //     $update->status = 'inv';
        //     $update->save();
        // }
        $idpurchase = $purchase->id;
        
        return $idpurchase;


        // return redirect()->route('purchase.index')->with('success','Data berhasil ditambahkan');

    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\Purchase  $purchase
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $purchase = Purchase::with(['purchase_pay','invoice.store','invoice.purchase_item.product'])->find($id);
        // dd($purchase);
        // $purchase_item = PurchaseItem::where('purchasing_id',$id)->get();
        // $invoice = Invoice::where('purchasing_id',$id)->first();
        return view('admin.pages.purchase.detail',compact('purchase'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\Purchase  $purchase
     * @return \Illuminate\Http\Response
     */
    public function edit(Purchase $purchase)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\Purchase  $purchase
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Purchase $purchase)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\Purchase  $purchase
     * @return \Illuminate\Http\Response
     */
    public function destroy(Purchase $purchase)
    {
        //
    }

    public function add_item($id)
    {
        $purchase = Purchase::find($id);
        $tgl = date('dmY');
        $cek = Invoice::count();
        if ($cek == 0) {
            $urut = 1001;
            $kode_inv = 'POD'.$tgl.'-'.$urut;
        } else {
            $kolom = Invoice::all()->last();
            $urut = (int) substr($kolom->kode_invoice,-4)+1; 
            $kode_inv = 'POD'.$tgl.'-'.$urut;
        }
        $store = Store::all();
        $produk = Produk::all();
        return view('admin.pages.purchase.add-item',compact('purchase','kode_inv','store','produk'));
    }

    public function update_add_item(Request $request)
    {
        $purchase = Purchase::where('id',$request->purchase_id)->first();
        $purchase->qty      = $request->qty_po;
        $purchase->total    = $request->total_po;
        $purchase->dp       = $request->dp_po;
        $purchase->sisa     = $request->sisa;
        $purchase->save();

        $invoice = new Invoice();
        $invoice->kode_invoice      = $request->kode_invoice;
        $invoice->purchasing_id     = $purchase->id;
        $invoice->store_id          = $request->store_id;
        $invoice->tanggal_invoice   = $request->tanggal_invoice;
        $invoice->save();

        for ($i=0; $i < count($request->product_id) ; $i++) { 
            $po_item = new PurchaseItem();
                // $po_item->purchasing_id = $purchase->id;
            $po_item->invoice_id        = $invoice->id;
            $po_item->product_id        = $request->get('product_id')[$i];
            $po_item->kode_product      = $request->get('kode_product')[$i];

resources/views/admin/pages/purchase/bayar-po.blade.php
@extends('admin.layouts.layout-dashboard')
@section('content')


<!-- Page-header end -->

<div class="page-info">
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="#">Data PO</a></li>
            <li class="breadcrumb-item active" aria-current="page">{{$purchase->kode_po}}</li>
        </ol>
    </nav>
</div>
<div class="main-wrapper">
    <div class="row">
        <div class="col-md-12">
            <div class="page-title">
                <p class="page-desc">Input data dengan benar</p>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-xl">
            <div class="card">
                <div class="card-body">
                    <h5 class="card-title">Input Pembayaran</h5>
                    <form action="{{route('purchase.bayar-po')}}" method="POST">
                        @csrf
                        @method('PATCH')
                        <div class="form-group">
                            <label for="exampleInputEmail1">No PO</label>
                            <input type="hidden" name="purchase_id" value="{{$purchase->id}}">
                            <input type="text" name="kode_pay" class="form-control" value="{{$purchase->kode_po}}" readonly id="kode_pay" aria-describedby="name" placeholder="Masukan nama kategori">
                        </div>
                        <div class="row">
                            <div class="col">
                                <div class="form-group">
                                    <label>Tanggal PO</label>
                                    {{-- <textarea name="address" class="form-control" id="" cols="10" rows="3"></textarea> --}}
                                    <input type="date" name="tanggal_po" id="tanggal_po" value="{{$purchase->tanggal_po}}" readonly class="form-control" aria-describedby="name"
                                        placeholder="Masukan nama kategori">
                                </div>
                            </div>
                            <div class="col">
                                <div class="form-group">
                                    <label>Jatuh Tempo</label>
                                    <input type="date" name="jatuh_tempo" id="jatuh_tempo_po" value="{{$purchase->jatuh_tempo}}" readonly class="form-control" aria-describedby="name"
                                        placeholder="Masukan nomor hp toko">
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col">
                                <div class="form-group">
                                    <label>Total : </label>
                                    <span>Rp {{number_format($purchase->total,0, ",", ".")}} </span>
                                    <input type="hidden" readonly name="total" id="total_po" value="{{$purchase->total}}" readonly class="form-control"
                                        aria-describedby="name" placeholder="Masukan Total">
                                    {{-- <label>Tambah</label> --}}
                                    <input type="hidden" readonly name="total" id="total_po_tambah" value="0" readonly class="form-control"
                                        aria-describedby="name" placeholder="Masukan Total">
                                    {{-- <label>Total</label> --}}
                                    <input type="number" readonly name="total" id="jumlah_total_po_tambah" value="{{$purchase->total}}" readonly class="form-control"
                                        aria-describedby="name" placeholder="Masukan Total">
                                    
                                </div>
                            </div>
                            <div class="col">
                                <div class="form-group">
                                    <label>DP : </label>
                                    <span>Rp {{number_format($purchase->dp,0, ",", ".")}}</span>
                                    + <span id="isi_dp_po"></span> = <span id="total_dp"></span>
                                    <input type="hidden" id="dp_po" value="{{$purchase->dp}}">
                                    <input type="number" name="total_pay" id="total_pay" class="form-control"
                                        aria-describedby="name" placeholder="Masukan Pembayaran">
                                </div>
                            </div>
                            <div class="col">
                                <div class="form-group">
                                    <label>Sisa : </label>
                                    <span>Rp {{number_format($purchase->sisa,0, ",", ".")}}</span>
                                    <input type="hidden" id="sisa_po" value="{{$purchase->sisa}}">
                                     <input type="number" name="sisa" id="sisa_po_tambahan" value="0" class="form-control"
                                        aria-describedby="name" placeholder="Sisa" readonly>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col">
                                <div class="form-group">
                                    <label>Tanggal Bayar</label>
                                    {{-- <textarea name="address" class="form-control" id="" cols="10" rows="3"></textarea> --}}
                                    <input type="date" name="tanggal_pay" id="tanggal_pay" class="form-control" aria-describedby="name"
                                        placeholder="Masukan nama kategori">
                                </div>
                            </div>
                            <div class="col">
                                <div class="form-group">
                                    <label>Keterangan</label>
                                    <input type="text" name="keterangan" class="form-control" id="" cols="3" rows="3"></input>
                                    
                                </div>
                            </div>
                        </div>
                        <hr>
                        <button type="submit" class="btn btn-primary">Submit</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
<meta name="csrf-token" content="{{ csrf_token() }}" />


@endsection
@push('after-scripts')
<script src="{{ url('kimsin-theme/assets/plugins/select2/js/select2.full.min.js') }}"></script>
<script src="https://cdn.rawgit.com/igorescobar/jQuery-Mask-Plugin/1ef022ab/dist/jquery.mask.min.js"></script>

<script>
    $(document).ready(function() {
        // $( '#dp_po_tambahan' ).mask('#.##0', {reverse: true});
        $('.select2').select2();
    });
    $("#total_pay").keyup(function (e) { 
        // alert('test');
        var isidp = $("#total_pay").val();
        var sisa = $("#sisa_po").val();
        var dp_po_db = $("#dp_po").val();
        var sisa_pembayaran = sisa - isidp;
        $("#sisa_po_tambahan").val(sisa_pembayaran);
        // $("#isi_dp_po").text('Rp '+number_format(isidp,0, ",", "."));
        var tambahan_dp = isidp;
        var total_dp = parseInt(tambahan_dp)  + parseInt(dp_po_db) ;
        $("#isi_dp_po").text(tambahan_dp);
        $("#total_dp").text(total_dp);

    });
</script>
@endpush

resources/views/admin/pages/purchase/data.blade.php
@extends('admin.layouts.layout-dashboard')
@section('content')


<!-- Page-header end -->

<div class="page-info">
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="#">Extended</a></li>
            <li class="breadcrumb-item active" aria-current="page">Data Tables</li>
        </ol>
    </nav>
</div>
@if (session('success'))
<div class="alert alert-primary outline-alert" role="alert">
    {{ session('success') }}
    {{-- <button type="button" class="close" data-dismiss="alert" aria-label="Close">
        <span aria-hidden="true">×</span>
    </button> --}}
</div>
@endif
<div class="main-wrapper">
    <div class="row">
        <div class="col-md-12">
            <div class="page-title">
                <a href="{{route('purchase.create')}}" class="btn btn-primary btn-sm"  style="float: right;">buat PO</a>
                {{-- <p class="page-desc">DataTables is a plug-in for the jQuery Javascript library. It is a highly flexible tool, built upon the foundations of progressive enhancement, that adds many advanced features to any HTML table.</p> --}}
            </div>
            <br>
        </div>
    </div>
    <div class="row">
        <div class="col">
            <div class="card">
                <div class="card-body">
                    <h5 class="card-title">Data Purchase</h5>
                    <br>
                    <table id="zero-conf" class="display" style="width:100%">
                        <thead>
                            <tr>
                                <th>No</th>
                                <th>Kode PO</th>
                                <th>Tanggal</th>
                                <th>Jatuh Tempo</th>
                                <th>Total</th>
                                <th>DP</th>
                                <th>Sisa</th>
                                <th>Aksi</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($purchase as $item)
                                <tr>
                                    <td>{{$loop->iteration}}</td>
                                    <td>{{$item->kode_po}}</td>
                                    <td>{{$item->tanggal_po}}</td>
                                    <td>{{$item->jatuh_tempo}}</td>
                                    <td>{{$item->total}}</td>
                                    <td>{{$item->dp}}</td>
                                    <td>{{$item->sisa}}</td>
                                    <td>
                                        <a href="{{route('purchase.add',$item->id)}}" class="btn btn-secondary btn-xs">Tambah Item</a>
                                        <a href="{{route('purchase.edit',$item->id)}}" class="btn btn-secondary btn-xs">Edit</a>
                                        <a href="{{route('purchase.show',$item->id)}}" class="btn btn-warning btn-xs">Detail</a>
                                        <a href="{{route('purchase.detail-bayar',$item->id)}}" class="btn btn-warning btn-xs">Bayar</a>
                                        <a href="{{route('cetak.surat-po',$item->id)}}" target="_blank" class="btn btn-success btn-xs">cetak</a>
                                        {{-- <button type="button" class="btn btn-danger" data-toggle="modal" data-target="#exampleModal">Hapus</button> --}}
                                        <form action="{{ route('purchase.destroy',$item->id) }}" method="POST" style="display: inline-block;">
                                            @method('delete')
                                            @csrf
                                            <button type="submit" class="btn btn-danger btn-xs" value="Delete"
                                                onclick="return confirm('Apakah Anda Yakin Ingin Menghapus Data {{ $item->name }} ?')">
                                                 Hapus
                                            </button>
                                        </form> 
                                    </td>
                                </tr>    
                            @endforeach
                            
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    
</div>




@endsection
@push('after-scripts')
    
@endpush

resources/views/admin/pages/purchase/detail.blade.php
@extends('admin.layouts.layout-dashboard')
@section('content')


<!-- Page-header end -->

<div class="page-info">
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{{route('purchase.index')}}">Daftar PO</a></li>
            <li class="breadcrumb-item active" aria-current="page">Detail {{$purchase->kode_po}}</li>
        </ol>
    </nav>
</div>
@if (session('success'))
<div class="alert alert-primary outline-alert" role="alert">
    {{ session('success') }}
    {{-- <button type="button" class="close" data-dismiss="alert" aria-label="Close">
        <span aria-hidden="true">×</span>
    </button> --}}
</div>
@endif
<div class="main-wrapper">
    <div class="row">
        <div class="col-md-6">
            <div class="card">
                <div class="card-body" style="background-color: bisque;">

                    <h5 class="card-title">Kode Po   : {{$purchase->kode_po}}</h5> 
                    <h5 class="card-title">Tanggal   : {{$purchase->tanggal_po}}</h5> 
                    <h5 class="card-title">Tempo     : {{$purchase->jatuh_tempo}}</h5> 
                </div>
            </div>
        </div>
        <div class="col-md-6">
            <div class="card">
                <div class="card-body" style="background-color: bisque;">

                    <h5 class="card-title">Total     : @currency($purchase->total)</h5> 
                    <h5 class="card-title">Dp        : @currency($purchase->dp)</h5> 
                    <h5 class="card-title">Sisa      : @currency($purchase->sisa)</h5> 
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <table class="table">
            <thead>
              <tr>
                <th>#</th>
                <th>Total Bayar</th>
                <th>Tanggal</th>
              </tr>
            </thead>
            <tbody>
                @foreach ($purchase->purchase_pay as $item)    
                    <tr>
                    <th>{{$loop->iteration}}</th>
                    <td>@currency($item->total_pay)</td>
                    <td>{{$item->tanggal_pay}}</td>
                    </tr>
                @endforeach
            </tbody>
          </table>
    </div>
    <hr>
    @foreach ($purchase->invoice as $inv)
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title">Item Purchase</h5>
                        <h5 class="card-title">Invoice : {{$inv->kode_invoice}}</h5>
                        <h5 class="card-title">Toko    : {{$inv->store->name ?? ''}}</h5>
                        <h5 class="card-title">Tanggal : {{$inv->tanggal_invoice}}</h5>
                        <br>
                        <a href="{{route('cetak.surat-jalan',$inv->id)}}" target="_blank"><i class="material-icons">file_download</i>Cetak Surat Jalan</a>
                        <table class="table table-striped" style="width:100%">
                            <thead>
                                <tr>
                                    <th>No</th>
                                    <th>Produk</th>
                                    <th>Harga Distributor</th>
                                    <th>Jumlah</th>
                                    <th>Total</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach ($inv->purchase_item as $item)
                                    <tr>
                                        <td>{{$loop->iteration}}</td>
                                        <td>{{$item->product->name ?? ''}}</td>
                                        <td>@currency($item->harga_distributor)</td>
                                        <td>{{$item->qty}}</td>
                                        <td>@currency($item->total)</td>
                                    </tr>    
                                @endforeach
                                
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    @endforeach
    
    
</div>




@endsection
@push('after-scripts')
    
@endpush